commit 83a39c7be2148acdb267ba9a03aba991b50c3437
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 1 19:14:48 2021 +0200

    Poppler 21.04.0

 CMakeLists.txt      |  4 ++--
 NEWS                | 32 ++++++++++++++++++++++++++++++++
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile    |  2 +-
 qt6/src/Doxyfile    |  2 +-
 6 files changed, 38 insertions(+), 6 deletions(-)

commit 104fc940ca3c3eb8b706abd11d35be83dbcd0c3b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 29 19:12:23 2021 +0200

    pdfimages: Do not assert in "too big images"

    Fixes #1061

 utils/ImageOutputDev.cc | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 29c3fc62d4997bb514d4748cca264fc6868cb52d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 28 17:23:47 2021 +0200

    Update (C)

 poppler/Form.cc | 2 +-
 poppler/Form.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 40cc13db621f2f49f55c4e4390bf2e862cc05d41
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Tue Mar 9 16:47:27 2021 -0400

    Forms: fix unclicking standalone form buttons

    We can find pdf forms that eg. have three related
    radio buttons where their *only* relationship is
    having the same full qualified name.

    Such a form is supported by Adobe Reader and
    produced by LaTeX through TeXStudio. So, when
    clicking one such radio button, Poppler failed
    to unclick the other radio buttons as they are
    not children nor parent of the clicked one (which
    is the ordinary way to set radio button groups
    as per the PDF standard).

    So, when clicking a radio button, let's add support
    to find other radio buttons in the same page that
    are only related by having same fully qualified name
    (these may be in standalone or normal fields).

    Where trying to find where PDF standard covers this
    special case of related radio buttons, the closest
    thing we can find is section "Field names" inside
    chapter "8.6.2 Field Dictionaries" in 1.7 PDF spec.

    Issue #1034

 poppler/Form.cc | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++--
 poppler/Form.h  |  2 +-
 poppler/Page.h  |  2 ++
 3 files changed, 53 insertions(+), 3 deletions(-)

commit c8d66bee757d7b0c8858115cd7772ed88bf1fe01
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 28 16:25:51 2021 +0200

    Update (C)

 poppler/Gfx.cc | 1 +
 1 file changed, 1 insertion(+)

commit 12a47e31bfa7d00d04f1ef436fe19092feb34501
Author: Steve Rosenhamer <srosenhamer@me.com>
Date:   Sun Mar 28 14:23:13 2021 +0000

    Implement rendering of Masks of Image subtype.

    Issue #1058

 poppler/Gfx.cc | 47 +++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 41 insertions(+), 6 deletions(-)

commit bdd110b45a38e8a4f80f522892e4c4a9e432abd5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 26 18:17:25 2021 +0100

    glib: Remove incorrecly used volatile from enum type registration code

 glib/poppler-enums.c.template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 47de887d7658cfd68df44b3acf710971054f957b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Mar 26 18:17:25 2021 +0100

    glib: Use stock glib macro to define boxed type

    Poppler already depends on a sufficiently new glib version, so we can
    simply use G_DEFINE_BOXED_TYPE instead of defining our own macro.

 glib/poppler-action.cc            |  4 ++--
 glib/poppler-annot.cc             |  2 +-
 glib/poppler-document.cc          |  6 +++---
 glib/poppler-page.cc              | 20 ++++++++++----------
 glib/poppler-private.h            | 15 ---------------
 glib/poppler-structure-element.cc |  4 ++--
 6 files changed, 18 insertions(+), 33 deletions(-)

commit 56453310d4241a917a4d2ff27fa76c2878f87508
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Mar 26 13:10:19 2021 +0100

    utils: New paragraph for "-sign" in pdfsig.1

    Create new paragraph for "-sign" option in pdfsig.1 man page.

 utils/pdfsig.1 | 1 +
 1 file changed, 1 insertion(+)

commit 42dde686bf5a674401850b2d3fdd2bc7467e9a66
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 22 00:03:59 2021 +0100

    qt: Fix memory leak when QImage constructor "fails"

 qt5/src/poppler-page.cc | 8 ++++++--
 qt6/src/poppler-page.cc | 8 ++++++--
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 57836ce2210183704f685ccc6b1820e16859a0c7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Mar 16 09:08:53 2021 +0100

    Fix rendering of text in some files

    Update CMap::addCIDs from xpdf 3.04

    Fixes issue #1052

 poppler/CMap.cc | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 81bee89c88d632ce6de878d338dd53a8150ea8aa
Author: Clément Pit-Claudel <clement.pitclaudel@gmail.com>
Date:   Mon Mar 15 20:43:38 2021 +0000

    [glib] Expose more fields from MediaRendition in PopplerMedia

 glib/poppler-media.cc               | 61
 +++++++++++++++++++++++++++++++++++++
 glib/poppler-media.h                |  6 ++++
 glib/reference/poppler-sections.txt |  3 ++
 3 files changed, 70 insertions(+)

commit e07f3e2e6a6df4ece88873ecbdbaf558f8910091
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Sat Mar 13 13:41:04 2021 -0400

    refactor Page::getFormWidgets() to use unique_ptr

    Refactor Page::getFormWidgets() to return
    std::unique_ptr<FormPageWidgets> so to avoid
    possible leaks in API users who forget
    to delete object.

 glib/poppler-document.cc | 3 +--
 glib/poppler-page.cc     | 5 +----
 poppler/Page.cc          | 6 +++---
 poppler/Page.h           | 4 ++--
 qt5/src/poppler-page.cc  | 6 ++----
 qt6/src/poppler-page.cc  | 6 ++----
 6 files changed, 11 insertions(+), 19 deletions(-)

commit 7578e04f8d48d307e82764e05ab13f6612180641
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Sun Feb 28 23:44:43 2021 -0400

    TextSelectionDumper: fix word order for RTL text

    This is used by glib backend (Evince).

    Fixes issue #53

 poppler/TextOutputDev.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 6267bf4dadf85842f73e32cf8abf056f150d1bf2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Mar 9 19:54:38 2021 +0100

    Update (C)

 poppler/Form.h              | 2 +-
 qt5/src/poppler-document.cc | 2 +-
 qt6/src/poppler-document.cc | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 59d5036451cc55f57e15e4ae1538024c62452978
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Mar 9 17:53:00 2021 +0100

    qt: Fix crash in files with malformed signatures

    For signatures we need the formwidget, so even if they don't have the
    Subtype Widget create one when asked for signatures in the document

    Fixes KDE bug #433909

 poppler/Form.cc             | 12 ++++++++++++
 poppler/Form.h              |  2 ++
 qt5/src/poppler-document.cc |  2 +-
 qt6/src/poppler-document.cc |  2 +-
 4 files changed, 16 insertions(+), 2 deletions(-)

commit ce1fcd4352f920a59d965310440be18ff48acb8f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 17 18:31:19 2021 +0100

    Hide symbols by default

    Use cmake for better import/export defines

 CMakeLists.txt                   |  7 +++++
 cpp/CMakeLists.txt               |  2 ++
 cpp/poppler-global.h             | 14 +--------
 fofi/FoFiTrueType.h              |  3 +-
 fofi/FoFiType1C.h                |  4 ++-
 glib/CMakeLists.txt              |  8 ++---
 glib/poppler-macros.h            | 33 --------------------
 goo/GooString.h                  |  4 ++-
 goo/GooTimer.h                   |  4 ++-
 goo/ImgWriter.h                  |  4 ++-
 goo/JpegWriter.h                 |  3 +-
 goo/NetPBMWriter.h               |  3 +-
 goo/PNGWriter.h                  |  3 +-
 goo/TiffWriter.h                 |  3 +-
 goo/gbase64.h                    |  4 ++-
 goo/gbasename.h                  |  3 +-
 goo/gfile.h                      | 15 ++++-----
 goo/glibc.h                      |  7 +++--
 goo/gstrtod.h                    |  4 ++-
 poppler/Annot.h                  | 67
 ++++++++++++++++++++--------------------
 poppler/Array.h                  |  3 +-
 poppler/BBoxOutputDev.h          |  2 +-
 poppler/CachedFile.h             |  7 +++--
 poppler/Catalog.h                |  5 +--
 poppler/CertificateInfo.h        |  3 +-
 poppler/DateInfo.h               |  7 +++--
 poppler/Dict.h                   |  3 +-
 poppler/Error.h                  |  5 +--
 poppler/FileSpec.h               |  7 +++--
 poppler/FontInfo.h               |  5 +--
 poppler/Form.h                   | 17 +++++-----
 poppler/Function.h               |  2 +-
 poppler/Gfx.h                    |  5 +--
 poppler/GfxFont.h                |  9 +++---
 poppler/GfxState.h               | 27 ++++++++--------
 poppler/GlobalParams.h           |  7 +++--
 poppler/JSInfo.h                 |  4 +--
 poppler/Lexer.h                  |  2 +-
 poppler/Link.h                   | 13 ++++----
 poppler/MarkedContentOutputDev.h |  3 +-
 poppler/Movie.h                  |  3 +-
 poppler/Object.h                 |  3 +-
 poppler/OptionalContent.h        |  5 +--
 poppler/Outline.h                |  3 +-
 poppler/OutputDev.h              |  3 +-
 poppler/PDFDoc.h                 |  3 +-
 poppler/PDFDocEncoding.h         |  5 +--
 poppler/PDFDocFactory.h          |  3 +-
 poppler/PSOutputDev.h            |  3 +-
 poppler/Page.h                   |  3 +-
 poppler/PageTransition.h         |  2 +-
 poppler/Parser.h                 |  2 +-
 poppler/Rendition.h              |  2 +-
 poppler/SignatureHandler.h       |  3 +-
 poppler/SignatureInfo.h          |  4 ++-
 poppler/Sound.h                  |  2 +-
 poppler/SplashOutputDev.h        |  3 +-
 poppler/Stream.h                 | 19 ++++++------
 poppler/StructElement.h          |  5 +--
 poppler/TextOutputDev.h          | 13 ++++----
 poppler/UTF.h                    | 17 +++++-----
 poppler/UnicodeMap.h             |  3 +-
 poppler/UnicodeMapFuncs.h        |  2 +-
 poppler/UnicodeTypeTable.h       |  5 +--
 poppler/XRef.h                   |  3 +-
 qt5/demos/CMakeLists.txt         |  1 +
 qt5/src/CMakeLists.txt           |  3 +-
 qt5/src/poppler-export.h         | 20 ------------
 qt5/tests/CMakeLists.txt         |  1 +
 qt6/demos/CMakeLists.txt         |  1 +
 qt6/src/CMakeLists.txt           |  3 +-
 qt6/src/poppler-export.h         | 20 ------------
 qt6/tests/CMakeLists.txt         |  1 +
 splash/Splash.h                  |  3 +-
 splash/SplashBitmap.h            |  3 +-
 splash/SplashPath.h              |  3 +-
 splash/SplashPattern.h           |  3 +-
 77 files changed, 251 insertions(+), 261 deletions(-)

commit d1e5c5b29214d82f43eb72d51b2df5184fcbbe33
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 3 00:26:26 2021 +0100

    Require the newer glib&friends provided by the new base CI

 CMakeLists.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0b34c18882ee3920c5ab9e9b953b3bb642f1b198
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 3 00:24:11 2021 +0100

    Require the newer qt5 provided by the new base CI

 CMakeLists.txt                | 2 +-
 qt5/CMakeLists.txt            | 2 +-
 qt5/src/poppler-annotation.cc | 4 ++--
 qt5/src/poppler-form.cc       | 6 +++---
 qt5/tests/poppler-forms.cpp   | 6 +-----
 5 files changed, 8 insertions(+), 12 deletions(-)

commit e85ba5cc74f283398fb97e0c568c43970bf29fa3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 3 00:11:05 2021 +0100

    Require the newer cmake provided by the new base CI

 CMakeLists.txt               | 9 ++-------
 cmake/modules/FindGLIB.cmake | 6 +-----
 cmake/modules/FindGTK.cmake  | 6 +-----
 cmake/modules/FindNSS3.cmake | 6 +-----
 glib/CMakeLists.txt          | 6 +-----
 glib/demo/CMakeLists.txt     | 6 +-----
 glib/tests/CMakeLists.txt    | 9 ++-------
 7 files changed, 9 insertions(+), 39 deletions(-)

commit 73c1e61b183db17692b3ddec51f1859ed4030765
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 3 00:06:47 2021 +0100

    Increase our supported Linux to >= ubuntu 18.04

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a9662d36c2faa6f8590ccd7c99758de6dcf4e324
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 1 19:33:25 2021 +0100

    Poppler 21.03.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 26 ++++++++++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 31 insertions(+), 5 deletions(-)

commit 1d91d03325662ca368cf5da77d09012998e7720e
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Mon Mar 1 00:22:26 2021 -0400

    glib/poppler-structure-element: fix memleak

    in convert_doubles_array(), which was not
    assigning the allocated memory to the
    out variable.

    This means this function was never returning
    anything until now, which means there's probably
    no users of this function in the wild (certainly
    not in Evince).

    Issue #1049

 glib/poppler-structure-element.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 6a81075c91277d7106bccba66dea0c0bca7be536
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 1 00:45:24 2021 +0100

    pdftoppm: Compile fix for the unsupported UTILS_USE_PTHREADS define

 utils/pdftoppm.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9514dceca09af53cf5e920ec76edb3937f87e6ad
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 20 22:37:50 2021 +0100

    Make TextSelectionSizer a bit easier to understand standalone

    Nothing really changes because it's only used in one place and that
    place called getRegion so there's no leak but looking at the class
    standalone one could think that one would get a leak if getRegion was
    not called.

 poppler/TextOutputDev.cc | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 31734dcb365e2b69d88c86ddaee3bd62af97fade
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Feb 26 00:19:58 2021 +0100

    strtok -> strtok_r

    Otherwise we have threading issues if two threads are doing strtok at
    the same time

    Fixes issue #1050

 fofi/FoFiType1.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 03b6705006e563c95cfcad47fa3d3c4c2e248651
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 20 23:05:22 2021 +0100

    poppler_annot_free_text_get_callout_line: Fix wrong static cast

    static_cast always "suceeds" so it makes no sense using it to check if
    the callout is multiline or not

 glib/poppler-annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7d7e09cf815c94bb3e50e6ef957dc81a14964f2f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 20 23:11:29 2021 +0100

    JPEG2000Stream.cc: Remove useless two if (priv->image)

    We're already inside an if (priv->image) check

 poppler/JPEG2000Stream.cc | 34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit 5161fa6f1ff9f7d2c19b5326aed6ad2858c30476
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 20 22:30:14 2021 +0100

    Fix memory leak in broken file in JBIG2Stream::readGenericBitmap

    It could happen that codingLine succeeds but refLine fails because
    we're
    just on the edge of the allocatable memory so free codingLine just in
    case

 poppler/JBIG2Stream.cc | 1 +
 1 file changed, 1 insertion(+)

commit 3746704a810fc9a67a91444da300e0683d452e6d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 20 22:25:06 2021 +0100

    Gfx: Make clear neither printCommands nor profileCommands change

 poppler/Gfx.cc | 6 ++----
 poppler/Gfx.h  | 4 ++--
 2 files changed, 4 insertions(+), 6 deletions(-)

commit a622a5a88242fc99c3ce37879337b980458fc4e6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 20 22:22:03 2021 +0100

    Mark Object::streamGetChar[s] as non const

    Calling them twice in a row will potentially return different
    things, so
    I would say probably don't qualify as const

 poppler/Object.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 5d08242584215a5ccf6201b94ca00d96f48c9c54
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 20 22:19:08 2021 +0100

    Fix leak in case of fread failing

 poppler/Form.cc | 1 +
 1 file changed, 1 insertion(+)

commit 61d052e9aade5bec68b07fad7c0fc7521f8e86a9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 20 21:46:19 2021 +0100

    Make getMin return the min, not the max ^_^

 poppler/ProfileData.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 94e310e85049ffec92217aa5ac5959dec217fa25
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Feb 14 12:17:31 2021 +0100

    Update (C)

 poppler/TextOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6cccfb8d814d89c51c9e65563be2e475f46212b
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Mon Feb 8 14:06:15 2021 -0400

    TextSelectionDumper: Fix getText() for space after word

    Fix TextSelectionDumper::getText() (which is
    currently only used by the glib frontend) to
    not default to add a space after word in the
    case the word is explicitly set to not carry
    that space by means of the 'spaceAfter' TextWord
    field.

    Fixes issue #1042

 poppler/TextOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7fa274dd7c0bd5e66a3b68329d7d56541bb839b
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Sat Nov 28 13:42:13 2020 -0500

    glib: Add deprecation guards for compiler

 glib/poppler-attachment.h | 10 ++++++----
 glib/poppler-document.h   |  2 +-
 glib/poppler-page.cc      |  5 ++++-
 glib/poppler-page.h       |  4 ++--
 4 files changed, 13 insertions(+), 8 deletions(-)

commit db52669444284b8ab00cbb12574496f489b2e093
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Wed Oct 28 00:49:42 2020 -0400

    glib: Update more gtk-doc comments

    Expanding the note for poppler_document_new_from_data() fixes #550.
    Formally deprecating it also closes #100 as moot.

 glib/poppler-document.cc | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

commit 4d3d3e31c8b1ae0a4169214a0e3f085a8f01f7a9
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Tue Oct 27 23:46:09 2020 -0400

    glib: Deprecate unintentionally public class

    Fixes #33 by settling PopplerAttachmentClass (item 3).

 glib/poppler-attachment.h | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 133fb388029ec6e124e74b3a4111da20abe9ce7e
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Tue Oct 27 22:51:59 2020 -0400

    glib: Document a recently added struct

 glib/poppler-action.h | 20 ++++++++++++++++++--
 1 file changed, 18 insertions(+), 2 deletions(-)

commit f58525e501684358a377b6412ea514a2ed8af333
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Thu Feb 14 03:55:01 2013 -0800

    glib: add documentation for PopplerActions

    Resolves most of #33 (items 1 & 2)

    Signed-off-by: Kyle Auble <kyle.auble@outlook.com>

 glib/poppler-action.h | 95
 +++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 93 insertions(+), 2 deletions(-)

commit e21c83650f15a197b286f8eed8c7d723c6900925
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Feb 10 21:36:51 2021 +0100

    pdftoppm: Fix rounding bug in computation of output bitmap size

    When a specific output image size was requested, the code would use
    that size to compute the target resolution, and then use the
    resolution to get the image size back.  In finite-precision
    arithmetic the resulting image size is not necessarily an
    integer, and a subsequent call to `ceil` then sometimes lead to
    an image size that was 1 larger than what was explicitly
    requested.

    Fix this by using a given image size directly, without converting
    it to resolution and back.

    BUG: https://gitlab.freedesktop.org/poppler/poppler/issues/927

 utils/pdftoppm.cc | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 5528ab8a5c274fb8da938bff9ed51e492a39a12b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Feb 12 14:30:25 2021 +0100

    pdfseparate: Remove exitCode variable

 utils/pdfseparate.cc | 31 ++++++++++++-------------------
 1 file changed, 12 insertions(+), 19 deletions(-)

commit 2cc34b8e14649381fc1d8b90c0a861f7fe2c08e3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Feb 12 14:27:24 2021 +0100

    pdftoppm: Remove exitcode variable

 utils/pdftoppm.cc | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit f51a042ace89c6fa69948356da6f7422a1e9a88b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Feb 12 14:23:53 2021 +0100

    pdfunite: remove exitCode variable

 utils/pdfunite.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 63177bca2e15ce1d75b1e14581664d49c1bf8ed9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 13 11:36:01 2021 +0100

    Update (C)

 utils/pdftoppm.cc | 1 +
 1 file changed, 1 insertion(+)

commit 282b9ea0c0db18ed8177e2123996569d232c12a0
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Fri Feb 12 11:47:38 2021 -0400

    glib: keep same visual appearance between displayed and copied text

    When copying text from displayed document to the clipboard,
    we want a normalization that preserves 'canonical equivalence'
    i.e. that the text after normalization is not visually
    different than the original text. Our previous normalization
    was just preserving unicode 'compatibility'.

    Relevant documentation:
    * https://www.win.tue.nl/~aeb/linux/uc/nfc_vs_nfd.html
    * https://en.wikipedia.org/wiki/Unicode_equivalence
    *
    https://developer.gnome.org/glib/stable/glib-Unicode-Manipulation.html#g-utf8-normalize

    Issue #724

 glib/demo/selections.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 2e62feafbc5095cedf948aefdf771d328d978de9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Feb 12 14:16:09 2021 +0100

    Improve well formed check for shading functions

 poppler/GfxState.cc | 191
 ++++++++++++++++++++++++++++++++++++++++++++--------
 poppler/GfxState.h  |  16 ++++-
 2 files changed, 176 insertions(+), 31 deletions(-)

commit 4d45cf37f3f74fdf6b02be73a051631abcf0e665
Author: Diogo Kollross <diogoko@gmail.com>
Date:   Fri Feb 12 14:15:03 2021 +0000

    pdftoppm: Add -progress option

 utils/pdftoppm.1  | 6 ++++++
 utils/pdftoppm.cc | 6 ++++++
 2 files changed, 12 insertions(+)

commit 33ae035d03e56e4f37ebb33ac109bbb71084dc93
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Thu Feb 11 20:22:36 2021 +0100

    Make PDFDocBuilder return a std::unique_ptr

    This make the memory ownership cleaner, and allows to simplify
    a bit of error handling code in the `utils` directory.

 poppler/CurlPDFDocBuilder.cc  |  5 +++--
 poppler/CurlPDFDocBuilder.h   |  3 ++-
 poppler/LocalPDFDocBuilder.cc |  7 ++++---
 poppler/LocalPDFDocBuilder.h  |  3 ++-
 poppler/PDFDoc.cc             |  6 ++++--
 poppler/PDFDoc.h              |  4 ++--
 poppler/PDFDocBuilder.h       |  5 ++++-
 poppler/PDFDocFactory.cc      |  4 ++--
 poppler/PDFDocFactory.h       |  6 ++++--
 poppler/StdinPDFDocBuilder.cc |  5 +++--
 poppler/StdinPDFDocBuilder.h  |  3 ++-
 utils/pdfdetach.cc            |  5 ++---
 utils/pdfimages.cc            | 30 +++++++++---------------------
 utils/pdfinfo.cc              | 11 +++++------
 utils/pdftocairo.cc           | 10 ++++------
 utils/pdftohtml.cc            | 11 ++++-------
 utils/pdftoppm.cc             | 39
 +++++++++++++++------------------------
 utils/pdftops.cc              | 30 ++++++++++++++----------------
 utils/pdftotext.cc            |  9 ++++-----
 19 files changed, 89 insertions(+), 107 deletions(-)

commit 22abc5e390c10fe09a82912b2636fa6b416980a7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 10 00:47:49 2021 +0100

    Add missing poppler-qt6.pc.cmake

 CMakeLists.txt       |  3 +++
 poppler-qt6.pc.cmake | 12 ++++++++++++
 2 files changed, 15 insertions(+)

commit 97da689ccc6a1214e17c2f09d28d3d4ad05dfde6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Feb 9 00:56:51 2021 +0100

    Update (C)

 utils/pdftotext.cc | 1 +
 1 file changed, 1 insertion(+)

commit 2f40575018d75a1412f5c4f8616dfe26d46f504e
Author: William Bader <williambader@hotmail.com>
Date:   Mon Feb 8 23:29:05 2021 +0000

    Add pdftotext -cropbox option

 utils/pdftotext.1  |  3 +++
 utils/pdftotext.cc | 14 ++++++++++----
 2 files changed, 13 insertions(+), 4 deletions(-)

commit c72a1c31b40322f660b6529e2dab077d3bf7b79b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Feb 7 23:47:52 2021 +0100

    PSOutputDev: Fix stack overflow in broken files

    oss-fuzz/29909

 poppler/PSOutputDev.cc | 27 ++++++++++++++++++++++-----
 poppler/PSOutputDev.h  |  1 +
 2 files changed, 23 insertions(+), 5 deletions(-)

commit 2589f3252fe304bd52be2a9322915c5397be4b09
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Feb 7 23:37:56 2021 +0100

    OutputDev:tilingPatternFill pass the GfxTilingPattern

    instead of lots of fields from it

    Makes the signature simpler :)

 poppler/CairoOutputDev.cc   | 10 +++++++---
 poppler/CairoOutputDev.h    | 11 +++--------
 poppler/Gfx.cc              |  3 +--
 poppler/OutputDev.h         |  5 ++---
 poppler/PSOutputDev.cc      | 10 ++++++++--
 poppler/PSOutputDev.h       |  5 ++---
 poppler/PreScanOutputDev.cc |  9 ++++-----
 poppler/PreScanOutputDev.h  |  5 ++---
 poppler/SplashOutputDev.cc  | 11 +++++++----
 poppler/SplashOutputDev.h   |  5 ++---
 utils/ImageOutputDev.cc     |  5 ++---
 utils/ImageOutputDev.h      |  5 ++---
 12 files changed, 42 insertions(+), 42 deletions(-)

commit 0ea6219dd1f2531d44eacfc584e331ecb4b46fb8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Feb 7 18:59:24 2021 +0100

    CharCodeToUnicode::parseCMap1: Bring back the delete

    For some reason i deleted it on the previous commit

 poppler/CharCodeToUnicode.cc | 1 +
 1 file changed, 1 insertion(+)

commit 41f5acecf50aa6b16f95aca557dbcf6b49b8f394
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 6 23:58:07 2021 +0100

    Fix parsing text in some broken pdf files

    Workaround imported from xpdf 4.02

    Fixes issue #1040

 poppler/CharCodeToUnicode.cc | 112
 ++++++++++++++++++++++++++++++++++++++++---
 poppler/CharCodeToUnicode.h  |   5 +-
 2 files changed, 108 insertions(+), 9 deletions(-)

commit 5b8f942fe4b9e0d3aeed3422b92362018d88429c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 3 22:05:42 2021 +0100

    CI: new clang-format

 .gitlab-ci.yml      |  4 ++--
 README.contributors |  2 +-
 poppler/Annot.cc    | 21 +++++++++++----------
 poppler/Catalog.cc  |  8 ++++++--
 4 files changed, 20 insertions(+), 15 deletions(-)

commit b876a31407279329c75bc7ddf541c8c5af07152b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Feb 1 22:23:11 2021 +0100

    poppler 21.02.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 19 +++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 4 files changed, 23 insertions(+), 4 deletions(-)

commit 91de00020cdb7689692f3af3fde6decbdb22fc4e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 27 23:34:51 2021 +0100

    Update (C)

 poppler/GfxState.cc | 2 +-
 poppler/GfxState.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 129905529ddfe926b252d278b7a55dd83f432f55
Author: Philipp Knechtges <philipp-dev@knechtges.com>
Date:   Wed May 27 22:24:57 2020 +0200

    GfxCal*ColorSpace: introduce Bradford transform for chromatic
    adaptation

    This brings the lcms2 code path and the non-lcms2 code path closer
    to each
    other in terms of color reproduction.
    So far the following points were missing, which are now added in
    this commit:
    - Both code paths did either not adjust for a different source white
    point at all (lcms2 code path)
      or did some simple scaling. The code has now been adjusted to use
      the Bradford transform
      to adapt to either the D50 or D65 white point, depending on the
      code path.
    - The non-lcms2 code path so far used the square root as an
    approximate gamma function.
      The correct sRGB gamma function has now been added.

 poppler/GfxState.cc | 182
 +++++++++++++++++++++++++++++++++-------------------
 poppler/GfxState.h  |   3 -
 2 files changed, 115 insertions(+), 70 deletions(-)

commit 222f96edc379d94661f5cab4c22c8cc9122d6e21
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 18 00:33:49 2021 +0100

    qt: Fix regression in QIODeviceOutStream + MSVC

    vsnprintf actually works fine than qvsnprintf on MSVC nowadays so use
    that

 qt5/src/poppler-qiodeviceoutstream.cc | 8 ++++----
 qt6/src/poppler-qiodeviceoutstream.cc | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 7c6a8b90ebaf2d5aaad8d2643601e59fa2cc4a0e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 18 00:13:08 2021 +0100

    Make checkedAdd work for long long in MSVC

 goo/GooCheckedOps.h | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 6fed4c9ff25fd99e164c94519128803db0593e96
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 16 12:31:36 2021 +0100

    FoFiTrueType::cvtSfnts: Fix uninitialized memory read on broken files

    Initialize maxUsedGlyph after the early check returns

    oss-fuzz/29629

 fofi/FoFiTrueType.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 051cae3b34226953aa0381f850e8e6eaa0b564bd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 16 00:11:37 2021 +0100

    qt: Properly export NewSignatureData

 qt5/src/poppler-qt5.h | 4 ++--
 qt6/src/poppler-qt6.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d776dafbd40e75f35d6a6fc6cb012f158ee1409d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 15 16:41:25 2021 +0100

    Splash: fix uninitialized memory read on broken files

    oss-fuzz/23086

 splash/Splash.cc | 47 +++++++++++++++++++++++++++++++----------------
 splash/Splash.h  | 12 ++++++------
 2 files changed, 37 insertions(+), 22 deletions(-)

commit 4becde57a2fdfd095e400dd9ef64e64d5e94f858
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 15 16:08:15 2021 +0100

    CCITTFaxStream: Fix uninitialized memory read in broken files

    oss-fuzz/8795

 poppler/Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c0f34e983761b15e2c9d5fa6628f26fa7d362548
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 15 16:04:46 2021 +0100

    Relax the check in Gfx::opSetFillGray

 poppler/Gfx.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 548fe49fa53ff0ff63bc1a437ab04908f866cb87
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 15 16:01:01 2021 +0100

    Gfx::opSetFillRGBColor: Fix uninitialized memory read in bad files

    Make sure colorspace doesn't need more comps than we have

    oss-fuzz/29522

 poppler/Gfx.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3252bc323c814eb010df011024f06597755b4b7d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 10 20:15:39 2021 +0100

    Don't try to read xref at negative stream positions

    oss-fuzz/29460

 poppler/XRef.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit fec79bfc7ed1573a8d92ac77bcb225dd032db296
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 10 19:45:23 2021 +0100

    FoFiTrueType::cvtSfnts: Fix uninitialized memory read on broken files

    oss-fuzz/29386

 fofi/FoFiTrueType.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit e68410e359da932c7f30d8f0a41a5496268b339c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 9 17:34:55 2021 +0100

    Gfx::opSetFillGray: Make sure the colorspace is gray

    Otherwise we will end up doing an uninitialized memory read down the
    road

    oss-fuzz/10040

 poppler/Gfx.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

